# class Regexp

Regexp serialization/deserialization

### Public Class Methods

json_create(object) click to toggle source

Deserializes JSON string by constructing new Regexp object with source `s` (Regexp or String) and options `o` serialized by `to_json`

    # File lib/json/add/regexp.rb, line 11
    def self.json_create(object)
      new(object['s'], object['o'])
    end

### Public Instance Methods

as_json(*) click to toggle source

Returns a hash, that will be turned into a JSON object and represent this object.

    # File lib/json/add/regexp.rb, line 17
    def as_json(*)
      {
        JSON.create_id => self.class.name,
        'o'            => options,
        's'            => source,
      }
    end

to_json(*) click to toggle source

Stores class name (Regexp) with options `o` and source `s` (Regexp or String) as JSON string

    # File lib/json/add/regexp.rb, line 27
    def to_json(*)
      as_json.to_json
    end